#include "extdll.h"
#include "util.h"

#include "cbase.h"
#include "effects.h"
#include "aura.h"
#include "classes.h"
#include "magicattack.h"
#include "explodingattack.h"
#include "player.h"
#include "nodes.h"
#include "weapons.h"
#include "soundent.h"
#include "monsters.h"
#include "decals.h"
#include "gamerules.h"

CGohan::CGohan ( CBasePlayer *player ): CBaseClass(player) 
{	
}

void CGohan::AddAllAttacks (void)
{	m_pPlayer->GiveNamedItem("weapon_melee");
	m_pPlayer->GiveNamedItem("weapon_kiblast");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	//m_pPlayer->GiveNamedItem("weapon_shieldattack");
	// Pcjoe: Moved to ssj
//	m_pPlayer->GiveNamedItem("weapon_kamehameha");
	m_pPlayer->GiveNamedItem("weapon_powerbeam");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}

CBaseClass* CGohan::GetAscendedClass(void)
{	return new CSSJGohan(m_pPlayer);
}

CBaseClass* CSSJGohan::GetAscendedClass(void)
{	return new CSSJ2Gohan(m_pPlayer);
}

CSSJGohan::CSSJGohan(CBasePlayer *player): CGohan(player)
{	
}

CSSJ2Gohan::CSSJ2Gohan(CBasePlayer *player): CGohan(player)
{	
}
// Added by Pcjoe
void CSSJGohan::AddAllAttacks( void )
{	m_pPlayer->GiveNamedItem("weapon_melee");
	m_pPlayer->GiveNamedItem("weapon_kiblast");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	//m_pPlayer->GiveNamedItem("weapon_shieldattack");
	m_pPlayer->GiveNamedItem("weapon_kamehameha");
	m_pPlayer->GiveNamedItem("weapon_powerbeam");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}

void CSSJ2Gohan::AddAllAttacks( void )
{	m_pPlayer->GiveNamedItem("weapon_melee");
	m_pPlayer->GiveNamedItem("weapon_kiblast");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	//m_pPlayer->GiveNamedItem("weapon_shieldattack");
	m_pPlayer->GiveNamedItem("weapon_kamehameha");
	m_pPlayer->GiveNamedItem("weapon_powerbeam");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}

CBaseClass* CSSJGohan::GetDescendedClass(void)
{	return new CGohan(m_pPlayer);
}
 
CBaseClass* CSSJ2Gohan::GetDescendedClass(void)
{	return new CSSJGohan(m_pPlayer);
}